import request from '@/utils/request'

// 查询钻杆列表
export function listJtzjZg(query) {
  return request({
    url: '/jtzj/jtzjZg/list',
    method: 'get',
    params: query
  })
}

// 查询钻杆详细
export function getJtzjZg(id) {
  return request({
    url: '/jtzj/jtzjZg/' + id,
    method: 'get'
  })
}

// 新增钻杆
export function addJtzjZg(data) {
  return request({
    url: '/jtzj/jtzjZg',
    method: 'post',
    data: data
  })
}

// 修改钻杆
export function updateJtzjZg(data) {
  return request({
    url: '/jtzj/jtzjZg',
    method: 'put',
    data: data
  })
}

// 删除钻杆
export function delJtzjZg(id) {
  return request({
    url: '/jtzj/jtzjZg/' + id,
    method: 'delete'
  })
}
